#ifndef CMWCOMPOTHER_H
#define CMWCOMPOTHER_H

#include "cmwidget.h"
#include "ui_cmwcompother.h"

class CMWCompOther : public CMWidget
{
	Q_OBJECT

public:
	CMWCompOther(QWidget *parent = 0);
	~CMWCompOther();


	virtual void MTimeFresh();

	private slots:
    void on_btnReadWeight_clicked();
	void on_btnReadDistance_clicked();
    void on_btnReadBar_clicked();

    void on_btnZero_clicked();

	void on_btnSetValue_clicked();
	void on_btnSetSpeed_clicked();
	void on_btnGripperReset_clicked();

private:
	Ui::CMWCompOther* ui;

    // CMWidget interface
public:
    virtual void MInit() override;
};

#endif // CMWCOMPOTHER_H
